Bug 1135290 - RHEL 6 sosreport integration for Satellite 6 Capsule server debugging
Summary: RHEL 6 sosreport integration for Satellite 6 Capsule server debugging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Shane Bradley
QA Contact: Miroslav Hradílek
URL:
Whiteboard:
Depends On: 1134109 1135317
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-29 04:22 UTC by Xixi
Modified: 2015-07-22 06:32 UTC (History)
14 users (show)

Fixed In Version: sos-3.2-16.el6
Doc Type: Enhancement
Doc Text:
The sosreport plug-in now enables capturing data required to debug Satellite Capsule Server problems.
Clone Of: 1134109
Environment:
Last Closed: 2015-07-22 06:32:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1323 normal SHIPPED_LIVE sos bug fix and enhancement update 2015-07-20 17:53:12 UTC
Red Hat Bugzilla 1134109 None CLOSED Satellite 6 Diagnostics Tooling: need foreman-debug or equivalent for Capsule 2019-04-03 12:04:08 UTC
Red Hat Knowledge Base (Solution) 1177833 None None None Never

Internal Links: 1134109

Comment 1 Lukas Zapletal 2015-02-03 09:41:59 UTC
We have separated foreman-debug command out of the foreman RPM package, it's now distributed separately (in foreman-debug subpackage) and by default it will be installed on all Capsule servers.

Since sosreport already contains foreman-debug plugin

https://github.com/sosreport/sos/blob/master/sos/plugins/foreman.py

there is no need of any changes in sosreport I believe. When sos is executed on Satellite 6 main node, it calls foreman-debug to collect additional data. When sos is executed on Capsule node, it does the same from now on.

I suggest to close this ticket.

Comment 2 Lukas Zapletal 2015-02-03 09:44:51 UTC
To make this clear, the original foreman-debug command was capable of collecting information from foreman-proxy, the component that runs on Capsule server. In the upstream, usual deployment is to have the first proxy on the same server.

By installing the script on both Satelilite 6 and Capsule servers, we now collect all the relevant information. Both commands are the same with same (unchanged) options, so there is no need of changing anything in the sos report.

Comment 3 Bryn M. Reeves 2015-02-03 12:55:19 UTC
This bug is still required: the current foreman plugin only checks for the 'foreman' package.

Comment 4 Lukas Zapletal 2015-02-03 13:51:16 UTC
Oh haven't realized that you check against RPM packages. I was under impression that script is enough. Sure, that makes sense. FYI I issued an upstream change, this is the desired state now (and for Satellite 6.1 as well):

https://github.com/sosreport/sos/pull/488

Comment 25 errata-xmlrpc 2015-07-22 06:32:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1323.html


Note You need to log in before you can comment on or make changes to this bug.